#ifndef BUNNYPROJECT_H
#define BUNNYPROJECT_H

#include "Project.h"
#include "FixVec.h"
#include "ProblemScal.h"

class Bunnydemo : public Project {
  ProblemScal bunny;
  WorldVector< double >* ballCenter;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;

  public:
  Bunnydemo();
  ~Bunnydemo();

  void create(string& filename);
  int solve(SolutionInformation&);
}; 
#endif
