#ifndef HEATPROJECT_H
#define HEATPROJECT_H

#include "Project.h"

#include "ProblemScal.h"
#include "ProblemInstat.h"

#include "HeatProject.hh"
class Heatdemo : public Project {
  ProblemScal heatSpace;
  Heat heat;
  AdaptInfo* adaptInfo;
  AdaptInfo* adaptInfoInitial;
  AdaptInstationary* adaptInstat;
  Operator* A;
  Operator* C;
  Operator* Fop;

  public:
  Heatdemo();
  ~Heatdemo();

  void create(string& filename);
  int solve(SolutionInformation& info);

};
#endif
