#ifndef TORUSPROJECT_H
#define TORUSPROJECT_H

#include "Project.h"
#include "ProblemScal.h"

class Torusdemo : public Project {
  ProblemScal torus;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;
  public:
    Torusdemo();
    ~Torusdemo();

    void create(string filename);
    int solve(SolutionInformation&);
};

#endif
